Developers
ReferenceTickets

Check a ticket in

Check a ticket in, with the same entry rules as the Tixxy scanner. Optionally pass `station` to record where it happened.

POST
/tickets/{id}/check-in

Check a ticket in, with the same entry rules as the Tixxy scanner. Optionally pass station to record where it happened.

Authorization

http
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/tickets/string/check-in" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "object": "ticket",  "ticket_number": "string",  "kind": "product",  "order": "string",  "event": "string",  "ticket_type": "string",  "livemode": true,  "status": "string",  "currency": "eur",  "price": 0,  "price_excl_vat": 0,  "vat_rate": 0,  "tixxy_fee": 0,  "checked_in": true,  "checked_in_at": "string",  "personalisation_complete": true,  "holder": {    "name": "string",    "email": "string"  },  "answers": [    {      "field": "string",      "value": "string",      "display_value": "string"    }  ],  "issued_at": "string",  "created_at": "string",  "updated_at": "string"}